GCalc.Solver – GCalc-2 Reference Manual

# Solver

## Object Hierarchy:

## Description:

public class Solver : Object

Math expression solver.

Add any required equations to equation_manager or use add_expression, then solve will add a new equation and returns the resulting MathResult.

     var s = new Solver ();
     s.add ("x=3*5");
     var res = s.solve ("2*x+7*x^2");
     var c = (MathConstant) res;
     // Result will be 1605
     stdout.printf ("%g", c.real ());

Namespace: GCalc
Package: GCalc-2

## Content:

### Properties:

- public MathEquationManager equation_manager { get; set; }
  An equation manager using to solve a given expression

### Creation methods:

- public Solver ()

### Methods:

- public void add_expression (string exp) throws Error
  Add an equation to equation_manager
- public MathResult solve (string str) throws Error
  Add an equation to equation_manager and solves it

### Inherited Members:

All known members inherited from class GLib.Object

- @get
- @new
- @ref
- @set
- add_toggle_ref
- add_weak_pointer
- bind_property
- connect
- constructed
- disconnect
- dispose
- dup_data
- dup_qdata
- force_floating
- freeze_notify
- get_class
- get_data

- get_property
- get_qdata
- get_type
- getv
- interface_find_property
- interface_install_property
- interface_list_properties
- is_floating
- new_valist
- new_with_properties
- newv
- notify
- notify_property
- ref_count
- ref_sink
- remove_toggle_ref
- remove_weak_pointer

- replace_data
- replace_qdata
- set_data
- set_data_full
- set_property
- set_qdata
- set_qdata_full
- set_valist
- setv
- steal_data
- steal_qdata
- thaw_notify
- unref
- watch_closure
- weak_ref
- weak_unref